apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: example
  name: whoami
  labels:
    app: whoami
    source: traefik
spec:
  replicas: 1
  selector:
    matchLabels:
      app: whoami
      source: traefik
  template:
    metadata:
      labels:
        app: whoami
        source: traefik
    spec:
      containers:
      - name: party
        image: traefik/whoami
        imagePullPolicy: Always

      imagePullSecrets:
        - name: dockerio
